package com.yd.api.practitioner.vo.hiring;

import com.yd.api.result.CommonResult;

/**
 * @author xxy
 */
public class HiringApproveResponseVO {

    /**
     * 经纪人id
     */
    private Long practitionerId;
    /**
     * 经纪人基本信息id
     */
    private Long hiringBasicInfoId;
    /**
     * 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    private Long approvalIdentity;

    private CommonResult commonResult;


    /**
     * 获取 经纪人id
     *
     * @return practitionerId 经纪人id
     */
    public Long getPractitionerId() {
        return this.practitionerId;
    }

    /**
     * 设置 经纪人id
     *
     * @param practitionerId 经纪人id
     */
    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    /**
     * 获取 经纪人基本信息id
     *
     * @return hiringBasicInfoId 经纪人基本信息id
     */
    public Long getHiringBasicInfoId() {
        return this.hiringBasicInfoId;
    }

    /**
     * 设置 经纪人基本信息id
     *
     * @param hiringBasicInfoId 经纪人基本信息id
     */
    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }

    /**
     * 获取 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     *
     * @return approvalIdentity 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    public Long getApprovalIdentity() {
        return this.approvalIdentity;
    }

    /**
     * 设置 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     *
     * @param approvalIdentity 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    public void setApprovalIdentity(Long approvalIdentity) {
        this.approvalIdentity = approvalIdentity;
    }

    /**
     * 获取
     *
     * @return commonResult
     */
    public CommonResult getCommonResult() {
        return this.commonResult;
    }

    /**
     * 设置
     *
     * @param commonResult
     */
    public void setCommonResult(CommonResult commonResult) {
        this.commonResult = commonResult;
    }

    @Override
    public String toString() {
        return "HiringApproveResponseVO{" +
                "practitionerId=" + practitionerId +
                ", hiringBasicInfoId=" + hiringBasicInfoId +
                ", approvalIdentity=" + approvalIdentity +
                ", commonResult=" + commonResult +
                '}';
    }
}
